Bug 177907 - CVE-2004-0941 additional overflows in gd [FC5test2]
Summary: CVE-2004-0941 additional overflows in gd [FC5test2]
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gd   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard: public=20041110,impact=moderate
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-16 12:44 UTC by Mark J. Cox
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 12:42:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2006-01-16 12:44:07 UTC
+++ This bug was initially created as a clone of Bug #175414 +++

Whilst creating a patch for CVE-2004-0990, Phil Knirsch discovered
addiitonal buffer overflow in the gd package.  These new overflows
affect calls to gdMalloc.

https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=106484

See attachment which gives complete patch for both CVE-2004-0990 and
CVE-2004-0941, note that the CVE-2004-0990 parts are fixed in FC5test2, but the
the gdxpm.c fixes are missing.


Note You need to log in before you can comment on or make changes to this bug.